import Layout from './components/Layout/index';
import SearchItem from './components/SearchItem/index';
import DatePicker from './components/DatePicker/index';
import DateRangePicker from './components/DateRangePicker/index';
import { Option } from 'element-ui';

const install = Vue => {
  // Layout
  Vue.component(Layout.name, Layout);
  Vue.component(SearchItem.name, SearchItem);

  // Element-ui
  Vue.component(Option.name, Option);
  // input
  Vue.component(DatePicker.name, DatePicker);
  Vue.component(DateRangePicker.name, DateRangePicker);
};

// module.exports = rymUi;
// module.exports.default = module.exports = rymUi;
export default {
  install,
};
